Get SeasLog base path.

- « SeasLog::flushBuffer

- SeasLog::getBuffer »

- PHP Manual
- SeasLog
- Get SeasLog base path.

# SeasLog::getBasePath

(PECL seaslog >=1.0.0)

SeasLog::getBasePath — Get SeasLog base path.

### Description

public static Seaslog::getBasePath(): string

Use the Function SeasLog::getBasePath() will get the value of seaslog.default_basepath what configured in php.ini(seaslog.ini).

If you use Seaslog::setBasePath(), will change the result.

### Parameters

This function has no parameters.

### Return Values

Return seaslog.default_basepath as string.

### Examples

Example #1 SeasLog::getBasePath() example

    <?php

    var_dump(SeasLog::getBasePath());

    ?>

The above example will output something similar to:

    string(12) "/var/log/www"